package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(class_group_relation):
 */
public class ClassGroupRelation {

	/**  */
	private Integer id;
	
	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private Integer classGroupId;
	
	/**  */
	private Integer subClassGroupId;
	
	/**  */
	private java.util.Date createTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setSubClassGroupId(Integer subClassGroupId){
		this.subClassGroupId = subClassGroupId;
	}
	
	public Integer getSubClassGroupId(){
		return this.subClassGroupId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
